## org.metaabm.function.validation
Interface FGenericFunctionValidator

    public interface FGenericFunctionValidator

A sample validator interface for `FGenericFunction`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateInputTypes(org.eclipse.emf.common.util.EList<SAttributeType> value)`
`boolean` `validateOutputPrototypes(org.eclipse.emf.common.util.EList<FArgumentPrototype> value)`
`boolean` `validateResultType(SAttributeType value)`

Method Detail

### validate

    boolean validate()

### validateOutputPrototypes

    boolean validateOutputPrototypes(org.eclipse.emf.common.util.EList<FArgumentPrototype> value)

### validateResultType

    boolean validateResultType(SAttributeType value)

### validateInputTypes

    boolean validateInputTypes(org.eclipse.emf.common.util.EList<SAttributeType> value)